/*
 *
 * 		Sphere Example SOP Node for Houdini
 *
 */

#ifndef __sopSphereExample_h__
#define __sopSphereExample_h__

#include <SOP/SOP_Node.h>

namespace HDK_Sample {

class sopSphereExample : public SOP_Node
{
	public:

		static OP_Node              *myConstructor(OP_Network*, const char *, OP_Operator *);
		static PRM_Template          myTemplateList[];
		static CH_LocalVariable      myVariables[];

	protected:

		sopSphereExample(OP_Network *net, const char *name, OP_Operator *op);
		virtual ~sopSphereExample();
		virtual unsigned             disableParms();
		virtual OP_ERROR             cookMySop(OP_Context &context);
		virtual float                getVariableValue(int index, int thread);

	private:

		int         myCurrPoint;
		int         myTotalPoints;

};

};

#endif
